* {
  font-family: Helvetica, Arial, sans-serif;
}

body {
  font-size: 14pt;
  color: #1A2865;
}

p {
  text-align: justify;
  margin-bottom: 0.5em;
  text-indent: 0em; 
} 

img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1em;
  margin-top: 1em;
  width: 80%;
}

ol {
  margin-bottom: 1em;
  margin-top: 1em;
}

ul {
  margin-bottom: 0.5em;
  margin-top: 0.5em;
}

li {
  list-style: circle;
  margin-left: 1em;
  text-align: left;
}

table {
  border-collapse: collapse;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  margin-top: 1em;
  margin-bottom: 1em;
}

th, td {
  border: 1px solid #ccc;
  padding: 8px;
  text-align: left; 
}

th {
  background-color: #f2f2f2; 
}

h1 {
  font-size: 32pt;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

h2 {
  text-align: left;
  text-decoration: underline;
  font-size: 25pt;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

h3 {
  font-size: 20pt;
  text-align: left;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

h4 {
  font-size: 14pt;
  text-align: left;
  margin-top: 0.5em;
  margin-bottom: 0.5em;

}

h5 {
  font-size: 12pt;
   margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.chat-container {
  background: white;
  border: 1px solid #ccc;
  width: 95%;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.chat-container li {
  margin-bottom: 0.5em;
}

.intro-row {
    display: flex;
    align-items: center;
    gap: 0.5em;
    margin-bottom: 1em;
}

.chat-box {
  height: calc(100vh - 300px);
  overflow-y: auto;
  border: 1px solid #ddd;
  padding: 10px;
  margin-bottom: 15px 15px 0px 15px;
  background-color: #fff;
}

.chat-message {
  margin-bottom: 10px;
  padding: 10px;
}

.Question {
  font-weight: bold;
  color: #2b5dab;
}

.Answer {
  font-weight: bold;
  color: #2a8a32;
}

#submit-button:disabled {
  background-color: #ccc;
  color: #666;
  cursor: not-allowed;
  opacity: 0.6;
}

#clear-button:disabled {
  background-color: #ccc;
  color: #666;
  cursor: not-allowed;
  opacity: 0.6;
}

form textarea {
  width: calc(100% - 70px);
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1.0em;
}

form input[type="submit"] {
  padding: 10px 15px;
  background-color: #2b5dab;
  color: white;
  border: none;
  border-radius: 5px;
  margin-left: 5px;
  cursor: pointer;
}

form {
  display: flex;
}

form input[type="button"] {
  padding: 10px 15px;
  background-color: #2b5dab;
  color: white;
  border: none;
  border-radius: 5px;
  margin-left: 5px;
  cursor: pointer;
}

.loader-box {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 20px;
  min-height: 20px;
  border: solid white 1px;
  margin-bottom: 0px;
}

#loader {
  display: flex;
  justify-content: center;
}

#loader.hidden {
  display: none;
}

.dot-loader {
  display: flex;
  padding: 0px 0px 0px 20px;
  background-color: rgba(255, 255, 255, 0.9);
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
}

.dot-loader span {
  width: 10px;
  height: 10px;
  margin: 0 5px;
  background: #333;
  border-radius: 50%;
  display: inline-block;
  animation: fade 1.2s infinite ease-in-out;
}

.dot-loader span:nth-child(1) {
  animation-delay: 0s;
}
.dot-loader span:nth-child(2) {
  animation-delay: 0.2s;
}
.dot-loader span:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes fade {
  0%, 80%, 100% {
    opacity: 0;
  }
  40% {
    opacity: 1;
  }
}